Questão Problemas para atualizar o Ubuntu 12.10 para 13.04


Estou tentando atualizar meu lançamento do Ubuntu de 12,10 para 13,04, tendo atualizado com sucesso para 12,10 ontem. Com a intenção de mudar para 13.10.

Estou em dia com outras atualizações de software.

Usando o Update Manager, sou oferecido para atualizar o release, mas isso está oferecendo uma atualização para 13.10 em vez do esperado 13.04.

Ao selecionar a atualização, de fato, tenta atualizar para o 13.10 'Saucy', o aplicativo me diz para fazê-lo, com razão, e me manda embora.

Alguma idéia de como eu posso atualizar para o 13.04 em primeiro lugar?


1
2017-12-17 23:15


origem


Se você está sendo oferecido 13.10, então você deve estar no 13.04. Você também não pode atualizar diretamente do 10.10 para nada além do 11.04, ambos com fim de vida útil e sem suporte por algum tempo, impedindo a atualização, a menos que você saia do caminho para ativar o repositório obsoleto. - psusi
Oi psusi, obrigado pela sua resposta. desculpe aconselhou incorretamente anteriormente, eu estou realmente em 12.10, tendo verificado no terminal após a informação de lançamento fornecido: ID do Distribuidor: Ubuntu Descrição: Ubuntu 12.10 Release: 12.10 Codename: quantal - Lee


Respostas:


Você tem que usar update-manager-core a partir de quantal-updates ao invés de quantal-proposed.

Vejo: Eu não sei como atualizar 12.10 para 13.04 ou 13.10


1
2017-12-20 15:48



Andreas - obrigado pela sua resposta, trabalhou um deleite. atualizado para 13.04 como sugerido usando update-manager-core. Então 13.10 via gerenciador de atualização. Muito Obrigado. - Lee


A situação definitiva em torno disso é que o pacote update-manager não suporta upgrades para atrevido .. bem, a partir de hoje.

Talvez tenha feito isso no passado, e talvez isso possa acontecer novamente no futuro. Mas a partir de abril de 2014, essa ferramenta não oferece suporte a atualizações para atrevimento. Talvez isso possa ser por conta do EOL'ing of Raring (13.04) .. e talvez também a necessidade de um upgrade direto de 12.10 para 13.10.

A única coisa que funcionou para mim foi:

  • s / quantal / saucy / in /etc/apt/sources.list
  • atualização do apt-get
  • apt-get dist-upgrade

1
2018-04-15 11:57





Isto é o que você deve fazer:

sudo apt-get -y dist-upgrade

Isso irá atualizar todos os seus arquivos de dependência, mais fácil assim antes de atualizar para o Saucy. Este próximo comando permitirá que você siga em frente até Saucy:

sudo do-release-upgrade

então isso irá disparar o processo. Boa sorte!


0
2017-12-17 23:25



Oi Faron, felicidades por resposta. Eu tentei isso, mas a seguinte mensagem de erro é retornada após 'sudo do-release-upgrade (ps eu avisei incorretamente sobre qual versão eu estava atualmente anteriormente): Não é possível atualizar Uma atualização de' quantal 'para' picante 'não é suportada com este ferramenta. - Lee


Isso é esperado, mas não tão cedo. Raring será EOL (End Of Life) a partir de janeiro de 2014, mas o Quantal (que você está usando) ainda será suportado até abril de 2014. Então, o que a equipe de lançamento fez:

Portanto, o caminho de atualização suportado será 12.10-> 13.10-> 14.04, a partir de janeiro.

Você pode estar sentindo isso. Eles provavelmente (ainda não encontrei as fontes) ativaram isso do lado do servidor antes da mão. Eu não sei se tal comportamento poderia ser ajustado (do lado do cliente) e eu não iria experimentar isso. Você pode tentar a atualização, se funcionar, ótimo! Se isso não acontecer, por favor informe um bug. Certifique-se de fazer backups de todas as suas coisas antes de atualizar!

Relacionado:


0
2017-12-18 21:58



Oi Braiam, tentou a atualização e o erro retornado: lee @ lee-Aspire-5720: ~ $ sudo do-release-upgrade Checando por um novo lançamento do Ubuntu Get: 1 Assinatura da ferramenta de upgrade [198 B] Obter: 2 Ferramenta de atualização [1,135 kB ] Foram buscados 1.135 kB em 0s (0 B / s) autenticando 'saucy.tar.gz' contra 'saucy.tar.gz.gpg' extraindo 'saucy.tar.gz' Lendo cache Verificando o gerenciador de pacotes Não é possível atualizar Uma atualização do 'quantal 'to' saucy 'não é suportado com esta ferramenta. - Lee
"Um upgrade de 'quantal' para 'saucy' não é suportado com esta ferramenta"Eu acho que isso pode ser o problema. Tente com o gerenciador de atualização em vez disso. - Braiam
O gerenciador de atualização está exibindo o mesmo erro ao tentar fazer upgrade. mostra que eu estou no 12.10 aconselha uma nova versão 13.10 está disponível, mas retorna este erro. Eu não estou com pressa para obter este classificado, por isso vai aguentar até janary quando 13.04 é oficialmente EOL e fail.hat uma instalação limpa para 13.10 - Lee
@Braiam Por favor, veja minha resposta aqui: askubuntu.com/questions/390587/… para uma solução para o problema "não é suportado com esta ferramenta". - intgr


Eu tive o mesmo problema e foi assim que consegui atualizar 12.10 para 13.04 em vez de 13.10:

1) Abra o arquivo de atualizações: sudo gedit /etc/update-manager/release-upgrades
2) Você deveria ter Prompt=normal, este modo atualiza para liberar imediatamente a versão atualmente em execução.
3) Execute a atualização usando sudo do-release-upgrade

Desta forma eu agora tenho 13.04, não 13.10.


0
2018-01-29 12:27